MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007257ardourbugspublic2017-03-02 07:132017-03-07 01:25
ReporterHeadwar 
Assigned Tox42 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version14.04
Product Version5.X git (version in description) 
Target VersionFixed in Version 
Summary0007257: Crash on Track > Insert time with 'intersected regions should be split'
DescriptionChoosing the 'intersected regions should be : split' makes Ardour crash when validating the 'Track > Insert time' window.
Steps To Reproduce1) Select a track
2) Track > Insert time
3) Choose 'split' in 'intersected regions should be'
4) click OK
=> crash (or hang)
Additional InformationBacktrace attached.
rgareus on IRC : "missing call to Session::begin_reversible_command"
TagsNo tags attached.
Attached Filestxt file icon trace.txt [^] (32,829 bytes) 2017-03-02 07:13 [Show Content]
txt file icon 7vka5jFQ.txt [^] (15,756 bytes) 2017-03-02 07:15 [Show Content]

- Relationships

-  Notes
(0019453)
Headwar (reporter)
2017-03-02 07:18

The second file is rgareus' backtrace
(0019460)
x42 (administrator)
2017-03-03 13:29

Should be fixed in Ardour 5.8-51-gf0a3c84e8 please test.
(0019499)
Headwar (reporter)
2017-03-07 01:25

Confirmed fixed. Thanks !

- Issue History
Date Modified Username Field Change
2017-03-02 07:13 Headwar New Issue
2017-03-02 07:13 Headwar File Added: trace.txt
2017-03-02 07:15 Headwar File Added: 7vka5jFQ.txt
2017-03-02 07:18 Headwar Note Added: 0019453
2017-03-03 13:29 x42 Note Added: 0019460
2017-03-03 13:29 x42 Status new => resolved
2017-03-03 13:29 x42 Resolution open => fixed
2017-03-03 13:29 x42 Assigned To => x42
2017-03-07 01:25 Headwar Note Added: 0019499


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker